### Interface

# Phosh Osk0SmPuriOSK0

#### Description [src]

    interface Phosh.Osk0SmPuriOSK0 : GObject.Object

Abstract interface type for the D-Bus interface sm.puri.OSK0.

#### Prerequisite

In order to implement Osk0SmPuriOSK0, your type must inherit from`GObject`.

#### Implementations

- PhoshOsk0SmPuriOSK0Proxy
- PhoshOsk0SmPuriOSK0Skeleton

#### Functions

###### phosh_osk0_sm_puri_osk0_interface_info

Gets a machine-readable description of the sm.puri.OSK0 D-Bus interface.

###### phosh_osk0_sm_puri_osk0_override_properties

Overrides all `GObject` properties in the `PhoshOsk0SmPuriOSK0` interface for a concrete class. The properties are overridden in the order they are defined.

#### Instance methods

###### phosh_osk0_sm_puri_osk0_call_set_visible

Asynchronously invokes the SetVisible() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `phosh_osk0_sm_puri_osk0_call_set_visible_finish()` to get the result of the operation.

###### phosh_osk0_sm_puri_osk0_call_set_visible_finish

Finishes an operation started with phosh_osk0_sm_puri_osk0_call_set_visible().

###### phosh_osk0_sm_puri_osk0_call_set_visible_sync

Synchronously invokes the SetVisible() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

###### phosh_osk0_sm_puri_osk0_complete_set_visible

Helper function used in service implementations to finish handling invocations of the SetVisible() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

###### phosh_osk0_sm_puri_osk0_get_visible

Gets the value of the “Visible” D-Bus property.

###### phosh_osk0_sm_puri_osk0_set_visible

Sets the “Visible” D-Bus property to `value`.

#### Properties

###### Phosh.Osk0SmPuriOSK0:visible

Represents the D-Bus property “Visible”.

#### Signals

###### Phosh.Osk0SmPuriOSK0::handle-set-visible

Signal emitted when a remote caller is invoking the SetVisible() D-Bus method.

#### Interface structure

    struct PhoshOsk0SmPuriOSK0Iface {
      GTypeInterface parent_iface;
      gboolean (* handle_set_visible) (
        PhoshOsk0SmPuriOSK0* object,
        GDBusMethodInvocation* invocation,
        gboolean arg_visible
      );
      gboolean (* get_visible) (
        PhoshOsk0SmPuriOSK0* object
      );

    }

Virtual table for the D-Bus interface sm.puri.OSK0.

###### Interface members

`parent_iface` |
    GTypeInterface
| The parent interface.
`handle_set_visible` |
    gboolean (* handle_set_visible) (
        PhoshOsk0SmPuriOSK0* object,
        GDBusMethodInvocation* invocation,
        gboolean arg_visible
      )
| Handler for the `PhoshOsk0SmPuriOSK0::handle-set-visible` signal.
`get_visible` |
    gboolean (* get_visible) (
        PhoshOsk0SmPuriOSK0* object
      )
| Getter for the `PhoshOsk0SmPuriOSK0:visible` property.

#### Virtual methods

###### Phosh.Osk0SmPuriOSK0.get_visible

Gets the value of the “Visible” D-Bus property.

###### Phosh.Osk0SmPuriOSK0.handle_set_visible

Handler for the `PhoshOsk0SmPuriOSK0::handle-set-visible` signal.